SbCylinderSheetProjector(3)

NAME
SbCylinderSheetProjector - The SbCylinderSheetProjector class projects 2D points to 3D points on a sheet covering a cylindrical shape.

SYNOPSIS

#include <Inventor/projectors/SbCylinderSheetProjector.h>

Inherits SbCylinderProjector.

  Public Member Functions
SbCylinderSheetProjector (const SbBool orienttoeye=TRUE)
SbCylinderSheetProjector (const SbCylinder &cyl, const SbBool orienttoeye=TRUE)
virtual SbProjector * copy (void) const
virtual SbVec3f project (const SbVec2f &point)
virtual SbRotation getRotation (const SbVec3f &point1, const SbVec3f &point2)
Public Member Functions inherited from SbCylinderProjector
SbVec3f projectAndGetRotation (const SbVec2f &point, SbRotation &rot)
void setCylinder (const SbCylinder &cyl)
const SbCylinder & getCylinder (void) const
void setOrientToEye (const SbBool orienttoeye)
SbBool isOrientToEye (void) const
void setFront (const SbBool infront)
SbBool isFront (void) const
SbBool isPointInFront (const SbVec3f &point) const
virtual void setWorkingSpace (const SbMatrix &space)
Public Member Functions inherited from SbProjector
virtual void setViewVolume (const SbViewVolume &vol)
const SbViewVolume & getViewVolume (void) const
const SbMatrix & getWorkingSpace (void) const
virtual SbBool tryProject (const SbVec2f &point, const float epsilon, SbVec3f &result)

  Protected Member Functions
virtual void setupPlane (void)
Protected Member Functions inherited from SbCylinderProjector
SbCylinderProjector (const SbBool orienttoeye)
SbCylinderProjector (const SbCylinder &cylinder, const SbBool orienttoeye)
SbBool intersectCylinderFront (const SbLine &line, SbVec3f &result)
Protected Member Functions inherited from SbProjector
SbProjector (void)
virtual ~SbProjector ()
SbLine getWorkingLine (const SbVec2f &point) const
float findVanishingDistance (void) const
SbBool verifyProjection (const SbVec3f &projpt) const

  Protected Attributes
SbVec3f workingProjPoint
SbVec3f planeDir
SbPlane tolPlane
Protected Attributes inherited from SbCylinderProjector
SbBool intersectFront
SbCylinder cylinder
SbBool orientToEye
SbBool needSetup
SbVec3f lastPoint
Protected Attributes inherited from SbProjector
SbViewVolume viewVol
SbMatrix worldToWorking
SbMatrix workingToWorld

Detailed Description

The SbCylinderSheetProjector class projects 2D points to 3D points on a sheet covering a cylindrical shape.

Constructor & Destructor Documentation

  SbCylinderSheetProjector::SbCylinderSheetProjector (const SbBool orienttoeye = TRUE)
Constructor. Uses default cylinder definition, see SbCylinderProjector::SbCylinderProjector().

orienttoeye decides whether or not the cylinder and sheet should always be oriented towards the viewer.

  SbCylinderSheetProjector::SbCylinderSheetProjector (const SbCylinder & cyl, const SbBool orienttoeye = TRUE)
Constructor with explicit definition of projection cylinder.

Member Function Documentation

  SbProjector * SbCylinderSheetProjector::copy (void ) const [virtual]
Construct and return a copy of this projector. The caller is responsible for destructing the new instance.

Note that if the Coin library has been built as a DLL under Microsoft Windows and you use this method from application code, you must make sure that both the Coin DLL and the application executable are using the same instance of a C Run-Time (CRT) library. Otherwise, you will get memory heap corruption upon deallocating the returned instances, eventually leading to mysterious crashes.

Implements SbProjector.

  SbVec3f SbCylinderSheetProjector::project (const SbVec2f & point) [virtual]
Project the 2D point from normalized viewport coordinates to a 3D point. The mapping will be done in accordance with the type of the projector.

Implements SbCylinderProjector.

  SbRotation SbCylinderSheetProjector::getRotation (const SbVec3f & point1, const SbVec3f & point2) [virtual]
Returns rotation on the projection surface which reorients point1 to point2.

Implements SbCylinderProjector.

  void SbCylinderSheetProjector::setupPlane (void ) [protected], [virtual]
Recalculates projection surface settings after changes to the parameters.

Member Data Documentation

  SbVec3f SbCylinderSheetProjector::workingProjPoint [protected]
Last projected point, in the working space coordinate system.

  SbVec3f SbCylinderSheetProjector::planeDir [protected]
Normal vector of the plane defining the orientation of the sheet.

  SbPlane SbCylinderSheetProjector::tolPlane [protected]
The tolerance value specifying how much of the cylinder is "above" the sheet.

Author

Generated automatically by Doxygen for Coin from the source code.